CVE-2021-42248

NameCVE-2021-42248
DescriptionGJSON <= 1.9.2 allows attackers to cause a redos via crafted JSON input.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
Debian Bugs1011616

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
golang-github-tidwall-gjson (PTS)buster1.1.5-2vulnerable
bullseye1.6.7-1vulnerable
bookworm, sid1.6.7-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
golang-github-tidwall-gjsonsource(unstable)(unfixed)1011616

Notes

[bullseye] - golang-github-tidwall-gjson <no-dsa> (Minor issue)
[buster] - golang-github-tidwall-gjson <postponed> (Limited support, minor issue, follow bullseye DSAs/point-releases)
https://github.com/tidwall/gjson/issues/237
https://github.com/tidwall/gjson/commit/77a57fda87dca6d0d7d4627d512a630f89a91c96 (v1.9.3)

Search for package or bug name: Reporting problems